﻿using System;
using System.Net.Http;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static async Task Main(string[] args)
        {
            using HttpClient httpClient = new();

            // WebApplication1 - Swashbuckle.AspNetCore
            {
                swaggerClient client = new swaggerClient("http://localhost:30753", httpClient);
                var list = await client.WeatherForecastAsync();

                foreach (var info in list)
                {
                    Console.WriteLine(info.Summary);
                }
            }

            // WebApplication2 - NSwag.AspNetCore
            {
                WebApp2.WeatherAPI client = new WebApp2.WeatherAPI(httpClient);
                client.BaseUrl = "http://localhost:9649";
                var list = await client.GetAsync();

                foreach (var info in list)
                {
                    Console.WriteLine(info.Summary);
                }
            }
        }
    }
}
